package kcg.imis.nation.service;

import javax.annotation.Resource;

import kcg.imis.nation.mapper.NationMapper;
import kcg.imis.nation.vo.NationVO;

import org.springframework.stereotype.Service;

@Service("nationService")
public class NationServiceImpl implements NationService {

	@Resource(name = "nationMapper")
	private NationMapper nationMapper;
	
	@Override
	public NationVO getNationInfo(String naSeq) throws Exception {
		return nationMapper.getNationInfo(naSeq);
	}

	@Override
	public int updateNation(NationVO nationVO) throws Exception {
		return nationMapper.updateNation(nationVO);
	}

}
